{
  "Thesis structure": {
    "prefix": "thesis structure",
    "body": [
      "## Introduction",
      "",
      "- Def. problema",
      "- Motivations",
      "- Thesis/Research questions",
      "",
      "## Background",
      "",
      "- Basic information required to understand the research",
      "- Related work (similar works, pubblications)",
      "",
      "## Methodology",
      "",
      "- How do i test the thesis",
      "",
      "## Experiments",
      "",
      "- I do the experiments and verify the thesis (I try to disprove it)",
      "",
      "## Discussion",
      "",
      "- Comments on the obtained results",
      "",
      "## Conclusioni",
      "",
      "- Summary of the contents",
      "- Remarks on future works",
      ""
    ],
    "description": "Thesis structure"
  },
  "Person": {
    "prefix": "person",
    "body": [
      "---",
      "aliases: []",
      "type: person",
      "relationship: []",
      "email: ${2:email}",
      "---",
      "",
      "# ${1:example}",
      "",
      "- **Email**: ${2:email}"
    ],
    "description": "Person"
  },
  "Thesis student": {
    "prefix": "thesis student",
    "body": [
      "---",
      "type: person",
      "email: ${2:email}",
      "relationships: [thesis_student]",
      "supervisor: ${4:supervisor}",
      "cosupervisors: [Filippo Berto]",
      "thesis: ${3:thesis title}",
      "---",
      "",
      "# ${1:name}",
      "",
      "- **Email**: ${2:example}",
      "- **Thesis**: [[${3:thesis title}]]",
      "- **Supervisor**: [[${4:supervisor}]]",
      "- **Co-supervisor**: [Filippo Berto]"
    ],
    "description": "Thesis student"
  },
  "Thesis": {
    "prefix": "thesis",
    "body": [
      "---",
      "type: thesis",
      "title: ${1:title}",
      "grade: ${2:grade}",
      "supervisor: ${3:supervisor}",
      "cosupervisors: [Filippo Berto]",
      "tags: [${4:example}]",
      "---",
      "",
      "# ${1:title}",
      "",
      "- **Supervisor**: [[${2:supervisor}]]",
      "- **Co-supervisor**: [[Filippo Berto]]",
      "- **Grade**: ${3:grade}",
      "",
      "**Main points**:"
    ],
    "description": "Thesis"
  },
  "Meeting": {
    "prefix": "meeting",
    "body": [
      "---",
      "type: meeting",
      "people: [Filippo Berto, ${2:people}]",
      "date: $CURRENT_YEAR-$CURRENT_MONTH-$CURRENT_DATE",
      "topic: ${1:title}",
      "---",
      "",
      "# ${1:title}",
      "",
      "## Step 1",
      "",
      "## Step 2"
    ],
    "description": "Meeting"
  },
  "Note of the day": {
    "prefix": "note of the day",
    "body": [
      "---",
      "date: $CURRENT_YEAR-$CURRENT_MONTH-$CURRENT_DATE",
      "---",
      "",
      "# ${1:title}",
      "",
      "## Step 1",
      "",
      "## Step 2"
    ],
    "description": "Note of the day"
  },
  "Paper review": {
    "prefix": "paper review",
    "body": [
      "# Paper review: ${1:title}",
      "",
      "## Notes",
      "",
      "${1:notes}",
      "",
      "## Overall evaluation",
      "",
      "${2:evaluation}",
      "",
      "## Comments",
      "",
      "${3:comments}",
      "",
      "## Confidential remarks",
      "",
      "${4:confidential remarks}"
    ]
  }
}
